Skip to main content
POST
/
projects
Create project
curl --request POST \
  --url https://api.justanotheruptime.com/projects \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "isPublic": true,
  "settings": {
    "notifications": {
      "email": true,
      "slack": true,
      "webhook": true
    },
    "statusPage": {
      "enabled": true,
      "customDomain": "<string>"
    },
    "ssl": {
      "enabled": true,
      "autoRenew": true,
      "expiryThreshold": 45.5,
      "alertThreshold": 15.5
    },
    "monitoring": {
      "regions": [
        "<string>"
      ],
      "customRegions": [
        "<string>"
      ],
      "performanceThresholds": {
        "responseTime": 101,
        "p95ResponseTime": 101,
        "p99ResponseTime": 101,
        "reliability": 95
      }
    }
  }
}
'
{
  "name": "<string>",
  "description": "<string>",
  "isPublic": true,
  "settings": {
    "notifications": {
      "email": true,
      "slack": true,
      "webhook": true
    },
    "statusPage": {
      "enabled": true,
      "customDomain": "<string>"
    },
    "ssl": {
      "enabled": true,
      "autoRenew": true,
      "expiryThreshold": 45.5,
      "alertThreshold": 15.5
    },
    "monitoring": {
      "regions": [
        "<string>"
      ],
      "customRegions": [
        "<string>"
      ],
      "performanceThresholds": {
        "responseTime": 101,
        "p95ResponseTime": 101,
        "p99ResponseTime": 101,
        "reliability": 95
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.justanotheruptime.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

The name of the project

description
string

The description of the project

isPublic
boolean

Whether the project is public

settings
object

Project settings

Response

Project successfully created

name
string
required

The name of the project

description
string

The description of the project

isPublic
boolean

Whether the project is public

settings
object

Project settings